commit d9081efaca19d0bef80c0dbc3ffa045207f3171e
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Sat Dec 13 23:52:08 2025 +0000

    Re-order module init in "-bV" support

diff --git a/src/src/exim.c b/src/src/exim.c
index d35168d60..693301899 100644
--- a/src/src/exim.c
+++ b/src/src/exim.c
@@ -1334,11 +1334,13 @@ Currently they are output in misc_mod_add() */
   show_string(is_stdout, g);
   g = NULL;
 
+  /* Has to be before the lookups as the spf lookup calls into the spf module */
+  init_misc_mod_list();
+
   init_lookup_list();
   tree_walk(lookups_tree, lookup_version_report_cb, &g);
   show_string(is_stdout, g);
   g = NULL;
-  init_misc_mod_list();
 
 #ifdef WHITELIST_D_MACROS
   g = string_fmt_append(g, "WHITELIST_D_MACROS: %q\n", WHITELIST_D_MACROS);

